<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
|---
| FastNews panel
+--------------------------------------------------------*/
function fnr_fullpath($data,$str = false){
	if(!fnMODENORMAL){
		global $settings;
		if(!($repl = parse_url($settings['siteurl'],PHP_URL_PATH))){
			$repl = $settings['siteurl'];}
		if(!$str){return str_replace(array('"../../','\'../../'),array('"'.$repl,'\''.$repl),$data);}
		else {return str_replace('../../', $repl, $data);}
	}
	else {return $data;}
}

function get_html(){
	global $settings,$locale;
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	
	$rows = dbcount("(news_id)",DB_NEWS,groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().")
										AND (news_end='0'||news_end>=".time().")
										AND news_draft='0'");
	if ($rows) {
		$result = dbquery("SELECT tn.news_cat,tn.news_id,tn.news_datestamp,tn.news_image_t2,tn.news_subject,tn.news_reads,
		tc.news_cat_name,tc.news_cat_image
			FROM ".DB_NEWS." tn
			LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().")
				AND (news_end='0'||news_end>=".time().") AND news_draft='0'
			GROUP BY news_id
			ORDER BY news_sticky DESC, news_datestamp DESC LIMIT ".$_GET['rowstart'].",".$settings['newsperpage']);
		$i = $_GET['rowstart'];
		while ($data = dbarray($result)) {
			$i++;
			$news_cat_image = '<a href="'.fnr_fullpath(BASEDIR,true).($settings['news_image_link'] == 0 ? 'news_cats.php?cat_id='.$data['news_cat']:'news.php?readmore='.$data['news_id'] ).'"><img src="';
			if ($data['news_image_t2'] && $settings['news_image_frontpage'] == 0) {
				$news_cat_image .= fnr_fullpath(IMAGES_N_T,true).$data['news_image_t2'].'" alt="'.$data['news_subject'].'" class="fn-news-img" /></a>';} 
			elseif ($data['news_cat_image']) {
				$news_cat_image .= fnr_fullpath(get_image('nc_'.$data['news_cat_name']),true).'" alt="'.$data['news_cat_name'].'" class="fn-news-img" /></a>';} 
			else {
				$news_cat_image = '';}
			
			echo '<div class="tbl'.(($i%2)+1).' cleared">
				'.$news_cat_image.'
				<p><a href="'.fnr_fullpath(BASEDIR,true).'news.php?readmore='.$data['news_id'].'" title="'.$locale['fnp_reads'].' '.$data['news_reads'].'"><strong>'.$data['news_subject'].'</strong></a> &ndash; '.showdate('newsdate', $data['news_datestamp']).'</p>
				<p>&mdash;&nbsp;<a href="'.fnr_fullpath(BASEDIR,true).'news_cats.php?cat_id='.($data['news_cat']?$data['news_cat']:'0').'">'.($data['news_cat']?$data['news_cat_name']:$locale['fnp_uncat']).'</a></p>
				<div class="fn-more" id="fn_morethis_cont_'.$data['news_id'].'"><p class="center-t clear"><a href="'.fnr_fullpath(BASEDIR,true).'news.php?readmore='.$data['news_id'].'" class="fn-get-more fn_morethis" divlink="'.$data['news_id'].'">'.$locale['fnp_overview'].'</a></p></div>
				</div>';	
		}
	}
	else {
		echo '<div class="center-t">'.$locale['fnp_nonews'].'</div>';
	}
}

if (defined('IN_FUSION')) { 
	if (file_exists(INFUSIONS.'fastnews_panel/locale/'.$settings['locale'].'.php')) {
		include INFUSIONS.'fastnews_panel/locale/'.$settings['locale'].'.php';} 
	else {
		include INFUSIONS.'fastnews_panel/locale/English.php';}

	define('fnMODENORMAL',true);
	add_to_head('<script type="text/javascript" src="'.INFUSIONS.'fastnews_panel/fastnews.js"></script>
<script type="text/javascript">
//<![CDATA[
fn_rowinc = '.$settings['newsperpage'].';
basedir = "'.BASEDIR.'";
//]]>
</script>
	<link href="'.INFUSIONS.'fastnews_panel/fastnews.css" media="screen" rel="stylesheet" type="text/css" />');
	
	opentable($locale['fnp_newsblock']);
	echo '<div class="main-body tbl" id="fn_container">';
	get_html();
	echo '</div>
	<div class="tbl-border center-t" id="fn-tonews">
		'.THEME_BULLET.' <a href="'.BASEDIR.'news.php">'.$locale['fnp_allnews'].'</a> 
		'.THEME_BULLET.' <span class="fn-get-more" id="fn_getrow">'.$locale['fnp_morenews'].'</span></div>';
	closetable();
}	
else {//raw html
	define('fnMODENORMAL',false);
	require_once('../../maincore.php');
	
	if (file_exists(INFUSIONS.'fastnews_panel/locale/'.$settings['locale'].'.php')) {
		include INFUSIONS.'fastnews_panel/locale/'.$settings['locale'].'.php';} 
	else {
		include INFUSIONS.'fastnews_panel/locale/English.php';}
	
	header('Content-type: text/html; charset='.$locale['charset']);
		
	if(isset($_GET['rowstart'])&&isnum($_GET['rowstart'])){//several units
		get_html();
	}
	else if(isset($_GET['news_id'])&&isnum($_GET['news_id'])){//one unit
		$result = dbquery(
		"SELECT tn.news_breaks,tn.news_news,tn.news_reads,tn.news_id,tn.news_extended,
		tu.user_id, tu.user_name, tu.user_status FROM ".DB_NEWS." tn
		LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
		WHERE ".groupaccess('news_visibility')." AND news_id='".$_GET['news_id']."' AND news_draft='0'
		LIMIT 1");
		if (dbrows($result)) {
			$data = dbarray($result);		
			
			echo fnr_fullpath(stripslash($data['news_breaks'] == 'y'?nl2br($data['news_news']):$data['news_news']));
			echo '<div class="news_loaded tbl-border cleared center-t">
			<p>'.$locale['fnp_author'].' '.fnr_fullpath(profile_link($data['user_id'], $data['user_name'], $data['user_status']),true).' &middot; '.
				'<a href="'.fnr_fullpath(BASEDIR,true).'news.php?readmore='.$data['news_id'].'">'.$locale['fnp_reads'].' '.$data['news_reads'].'</a> &middot; '.
				'<a href="'.fnr_fullpath(BASEDIR,true).'news.php?readmore='.$data['news_id'].'#comments">'.$locale['fnp_comments'].' '.dbcount('(comment_id)', DB_COMMENTS, "comment_type='N' AND comment_item_id='".$data['news_id']."' AND comment_hidden='0'").'</a></p>';
			if($data['news_extended']){
				echo '<p><a href="'.fnr_fullpath(BASEDIR,true).'news.php?readmore='.$data['news_id'].'"><strong>'.$locale['fnp_readmore'].'</strong></a></p>';}
			echo '</div>';	
		}
		else {
			exit('No result.');
		}
	}
	else {
		exit('No errors found.');}
}

?>